Bug 1663504 - Review Request: mbrola - speech synthetizer
Summary: Review Request: mbrola - speech synthetizer
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ondřej Lysoněk
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-01-04 16:00 UTC by Tomas Korbar
Modified: 2019-09-12 08:06 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-09-12 08:06:38 UTC
olysonek: fedora-review?


Attachments (Terms of Use)

Description Tomas Korbar 2019-01-04 16:00:53 UTC
Spec URL: https://tkorbar.fedorapeople.org/mbrola.spec
SRPM URL: https://tkorbar.fedorapeople.org/mbrola-20190103gite78c726-1.fc29.src.rpm
Description: MBROLA is a speech synthesizer based on the concatenation of diphones. It takes a list of phonemes as input, together with prosodic information (duration of phonemes and a piecewise linear description of pitch), and produces speech samples on 16 bits (linear), at the sampling frequency of the diphone database.

Fedora Account System Username: tkorbar
Koji build: https://koji.fedoraproject.org/koji/taskinfo?taskID=31813046

Comment 1 Tomas Korbar 2019-01-16 13:59:50 UTC
Both of my patches have been merged into upstream. So here are updated links.
Updated Spec URL: https://tkorbar.fedorapeople.org/mbrola.spec
Updated SRPM URL: https://tkorbar.fedorapeople.org/mbrola-20190116git1f80fb0-1.fc29.src.rpm
Koji build: https://koji.fedoraproject.org/koji/taskinfo?taskID=32066468

Comment 2 Tomas Korbar 2019-09-12 08:06:38 UTC
After discussions with upstream and consultations with Fedora-legal mailing list we have come to conclusion that Mbrola can not be packaged into Fedora because of non-free voice files. Mbrola does not provide without them reasonable amount of functionalities so it depends on them.
Upstream said that maintainers listed in voice files are not responding and without their consent they can not change their license.


Note You need to log in before you can comment on or make changes to this bug.